
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>图解css3：核心技术与案例实战. 1.1　什么是CSS3 / iVAN</title>

    <meta name="description" content="图解css3：核心技术与案例实战. 1.1　什么是CSS3 1.1 什么是CSS3 CSS3并不是一门新的语言.如果接触过CSS就知道,CSS是创建网页的另一个独立但并非不重要的一部分.CSS是种层叠样式表,是一种样式语言,用来告诉浏览器如何渲染你的Web页面. CSS3是CSS规范的最新版本,在CSS2.1的基础上增加了很多强大的新功能,以帮助开发人员解决一些问题,并且不再需要非语义标签.复杂的JavaScript脚本以及图片,例如圆角功能.多背景.透明度.阴影等功能等.CSS2.1是单一的规范,而CSS3被划分成几个模块组,每个模块组都有自己的规范.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">图解css3：核心技术与案例实战. 1.1　什么是CSS3</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1.1　什么是CSS3</p>
<p>CSS3并不是一门新的语言。如果接触过CSS就知道，CSS是创建网页的另一个独立但并非不重要的一部分。CSS是种层叠样式表，是一种样式语言，用来告诉浏览器如何渲染你的Web页面。</p>
<p>CSS3是CSS规范的最新版本，在CSS2.1的基础上增加了很多强大的新功能，以帮助开发人员解决一些问题，并且不再需要非语义标签、复杂的JavaScript脚本以及图片，例如圆角功能、多背景、透明度、阴影等功能等。CSS2.1是单一的规范，而CSS3被划分成几个模块组，每个模块组都有自己的规范。这样的好处是整个CSS3的规范发布不会因为部分难缠的部分而影响其他模块的推进。</p>
<p>现在先来看看CSS3激动人心的新特性。</p>
<p>1.1.1　CSS3的新特性</p>
<p>CSS3规范并不是独立的，它重复了CSS的部分内容，但在其基础上进行了很多的增补与修改。CSS3与之前的几个版本相比，其变化是革命性的，虽然它的部分属性还不能够被浏览器完美的支持，但却让我们看到网页样式发展的前景，让我们更具有方向感、使命感。</p>
<p>CSS3新特性非常多，这里挑选一些被浏览器支持较为完美、更具实用性的新特性。</p>
<p>1．强大的CSS3选择器</p>
<p>使用过jQuery的人都知道，jQuery的选择器功能强大，使用方便，CSS3选择器和jQuery选择器非常类似。允许设计师通过选择器直接指定需要的HTML元素，而不需要在HTML中添加不必要的类名、ID等。使用CSS3选择器，能在Web的制作中更完美地做到结构与表现分离，设计师能轻松地设计出简洁、轻量级的Web页面，并且能更好地维护和修改样式。</p>
<p>2．抛弃图片的视觉效果</p>
<p>Web中最常见的效果包括圆角、阴影、渐变背景、半透明、图片边框等。而这样的视觉效果在CSS中都是依赖于设计师制作图片或者JavaScript脚本来实现的。CSS3的一些新特性可以用来创建一些特殊的视觉效果，后面的章节将为大家展现这些新特性是如何实现这些视觉效果。</p>
<p>3．背景的变革</p>
<p>如果说CSS中的背景给你带来太多的限制，那么CSS3将带来革命性的变化。CSS3不再局限于背景色、背景图像的运用，新特性中添加了多个新的属性值，例如background-origin、background-clip、background-size，此外，还可以在一个元素上设置多个背景图片。这样，如果要设计比较复杂的Web页面效果，就不再需要使用一些多余标签来辅助实现了。举个例子，要实现CSS中的滑动门效果，在CSS中基本上要添加2～3个额外的标签来辅助实现，那么CSS3中的这些新特性能够在一个标签中完成同等的效果。</p>
<p>4．盒模型变化</p>
<p>盒模型在CSS中是重中之重，CSS中的盒模型只能实现一些基本的功能，对于一些特殊的功能需要基于JavaScript来实现。而在CSS3中这一点得到了很大的改善，设计师可以直接通过CSS3来实现。例如，CSS3中的弹性盒子，这个属性将给大家引入一种全新的布局概念，能轻而易举实现各种布局，特别是在移动端的布局，它的功能更是强大。大家将在第7章、第8章见识它的神功。</p>
<p>5．阴影效果</p>
<p>阴影主要为分两种：文本阴影（text-shadow）和盒子阴影（box-shadow）。文本阴影在CSS中已经存在，但没有得到广泛的运用。CSS3延续了这个特性，并进行了新的定义，该属性提供了一种新的跨浏览器方案，使文本看起来更醒目。盒子阴影的实现在CSS中就有点苦不堪言，为了实现这样的效果，需要新增标签、图片，而且效果还不一定完美。CSS3的box-shadow将打破这种局面，可以轻易地为任何元素添加盒子阴影。</p>
<p>6．多列布局与弹性盒模型布局</p>
<p>CSS3引入了几个新的模块用于更方便地创建多列布局。</p>
<p>“多列布局”（Multi-column Layout）模块描述了如何像报纸、杂志那样，把一个简单的区块拆分成多列，第9章为大家介绍这个模块的运用。“弹性盒模型布局”（Flexible Box Layout）模块能让区块在水平、垂直方向对齐，能让区块自适应屏幕大小，相对于CSS的浮动布局、inline-block布局、绝对定位布局来说，它显得更加方便与灵活。缺点是，这两个模块在一些浏览器中还不被支持，但随着技术的发展革新，这一刻终将到来。</p>
<p>7．Web字体和Web Font图标</p>
<p>浏览器对Web字体有诸多限制，Web Font图标对于设计师来说更奢侈。CSS3重新引入@font-face，对于设计师来说无疑是件好事。@font-face是链接服务器上字体的一种方式，这些嵌入的字体能变成浏览器的安全字体，不再担心用户没有这些字体而无法正常显示的问题，从此告别用图片代替特殊字体的设计时代。</p>
<p>8．颜色与透明度</p>
<p>CSS3颜色模块的引入，实现了制作Web效果时不再局限于RGB和十六进制两种模式。CSS3增加了HSL、HSLA、RGBA几种新的颜色模式。在Web设计中，能轻松实现某个颜色变得再亮一点或者再暗一点。其中HSLA和RGBA还增加了透明通道，能轻松地改变任何一个元素的透明度。另外，还可以使用opacity属性来制作元素的透明度。从此制作透明度不再依赖图片或者JavaScript脚本了。</p>
<p>9．圆角与边框的新法</p>
<p>圆角是CSS3中使用最多的一个属性，原因很简单：圆角比直线性更美观，而且不会与设计产生任何冲突。与CSS制作圆角不同之处是，CSS3无须添加任何标签元素与图片，也不需借用任何JavaScript脚本，一个属性就能搞定。对于边框，在CSS中仅局限与边框的线型、粗细、颜色的设置，如果需要特殊的边框效果，只能使用背景图片来模仿。CSS3的border-image属性使元素边框的样式变得丰富起来，还可以使用该属性实现类似background的效果，对边框进行扭曲、拉伸和平铺等。</p>
<p>10．盒容器的变形</p>
<p>在CSS时代，让某个元素变形是一个可望而不可及的想法，为了实现这样的效果，需要写大量的JavaScript代码。CSS3引进了一个变形属性，可以在2D或者3D空间里操作盒容器的位置和形状，例如旋转、扭曲、缩放或者移位。我们把这些效果称为“变形”，大家将在第11章体验这些新特性。</p>
<p>11．CSS3过渡与动画交互效果</p>
<p>CSS3的“过渡”（transition）特性能在Web制作中实现一些简单的动画效果，让某些效果变得更具流线性、平滑性。而CSS3“动画”（animation）特性能够实现更复杂的样式变化，以及一些交互效果，而不需要使用任何Flash或JavaScript脚本代码。</p>
<p>12．媒体特性与Responsive布局</p>
<p>CSS3的媒体特性可以实现一种响应式（Responsive）布局，使布局可以根据用户的显示终端或设备特征选择对应的样式文件，从而在不同的显示分辨率或设备下具有不同的布局渲染效果，特别是在移动端上的实现更是一种理想的做法。</p>
<p>1.1.2　CSS3的发展状况</p>
<p>通过对CSS3新特性的简单介绍，大家可能要问，这些超炫的特性什么时候才能成为标准并最终发布呢？其实CSS3的每一个模块都有它自己的更新（进度表）时间，如图1-1所示，大家可以从这个图上看到CSS3的当前发展的详细进度。</p>
<p>Web开发者希望在CSS3标准规范发布之前就能使用这些新特性，而它们的使用还受限于不同的浏览器，只有浏览器完全支持了，才能完全使用这些新特性。</p>
<p>目前，CSS3还不是最终的标准，有很多浏览器支持不够完美，那么现在可以使用CSS3吗？</p>
<p>1.1.3　现在能使用CSS3吗</p>
<p>从图1-1中可以看出，CSS3还在不断完善中，很多功能还处于草稿阶段，但部分模块进入了“候选推荐”状态，这说明在Web设计中完全可以使用这些模块。即使有一些模块还处于“工作草案状态”，也可以尝试着使用，只有不断将新的CSS技术运用到实际工作中，才能发现应用这些新技术所面临的真正挑战，以便W3C更好地完善它们，从而更好地、有效地促使它们成为真正的标准。</p>
<p>你应该了解哪些可用，哪些还不能使用。换句话说，在实际工作开发中可以先运用相对稳定的CSS3特性，并确保不会对尚不支持这些特性的浏览器造成影响。做到明智的使用，而不是盲目地滥用CSS3新特性。</p>
<p>1.1.4　使用CSS3有什么好处</p>
<p>与CSS相比，使用CSS3有什么好处呢？最明显的就是CSS3能让页面看起来非常炫、非常酷，使网站设计锦上添花，但它的好处远远不止这些。在大多数情况下，使用CSS3不仅有利于开发与维护，还能提高网站的性能。与此同时，还能增加网站的可访问性、可用性，使网站能适配更多的设备，甚至还可以优化网站SEO，提高网站的搜索排名结果。下面介绍CSS3特有的好处。</p>
<p>1．减少开发与维护成本</p>
<p>为什么说CSS3能减少开发与维护的成本呢？先来看一个实例。一个圆角效果，在CSS中需要添加额外的HTML标签，使用一个或者更多图片来完成，而使用CSS3只需要一个标签、一个border-radius属性就能完成。这样，CSS3技术能把你从绘图、切图和优化图片的工作中解救出来。</p>
<p>如果后续需要调整这个圆角的弧度或者圆角的颜色，使用CSS，要从头绘图、切图才能完成，而使用CSS3几秒就完成这些工作。</p>
<p>CSS3还能使你远离一大堆的JavaScript脚本代码或者Flash，你不再需要花大把时间去写脚本或者寻找合适的脚本插件并修改以适配你的网站特效。</p>
<p>最后，有些CSS3技术还能帮你对页面进行“减肥”，让结构更加“苗条”。你不用为了达到一个效果而嵌套很多DIV和类名，这样能有效地提高工作效率、减少开发时间、降低开发成本。例如，制作一个重叠的背景效果，在CSS中需要添加DIV标签和类名，在不同的DIV中放一张背景图，现在可以使用CSS3的多背景和背景尺寸等新特性，在一个DIV标签中完成这些工作。</p>
<p>2．提高页面性能</p>
<p>很多CSS3技术通过提供相同的视觉效果而成为图片的“替代品”，换句话说，在进行Web开发时，减少多余的标签嵌套，以及图片的使用数量，意味着用户要下载的内容将会更少，页面加载也会更快。另外，更少的图片、脚本和Flash文件让Web站点减少HTTP请求数，这是提升页面加载速度的最佳方法之一。而使用CSS3制作图形化网站无需任何图片，极大地减少HTTP的请求数量，并且提升页面的加载速度。当然，这取决于采用CSS3特性来代替什么技术，同样还要看如何使用CSS3特性。例如CSS3的动画效果，能够减少对JavaScript和Flash文件的HTTP请求，但可能要求浏览器执行很多的工作来完成这个动画效果的渲染，这有可能导致浏览器响应缓慢，致使用户流失。因此，在使用一些复杂的特效时，大家需要考虑清楚。不过这样的现象毕竟为数不多。其实很多CSS3技术能够在任何情况下都大幅提高页面的性能。就这一条足以让我们使用CSS3。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-25 06:19:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9d%97/" title="模块">模块</a>, <a href="https://www.iamivan.net/tag/%e5%b8%83%e5%b1%80/" title="布局">布局</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac/" title="脚本">脚本</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/css/" title="css">css</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>图解css3：核心技术与案例实战. 1.1　什么是CSS3的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlmk4Yp.html" rel="bookmark">《图解CSS3：核心技术与案例实战》&mdash;&mdash;1&period;4节CSS3的现状及未来</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 CSS3的现状及未来了解到使用CSS3会带来很多好处,哪些网站在使用CSS3?这很容易,打开计算机随处可见.既然这样,就一起来看几个网站吧.1.4.1 谁在使用CSS3首先看看新浪微博,其中最明显的是圆角的应用,在发表评论的地方还使用了内阴影属性,如图1-8所示.Google的UI也使用了大量CSS3特性,看主版面的Button效果,这个按钮使用了CSS3的阴影.圆角和渐变三种属性,如图1-9所示. 接下来介绍的Twitter网站(http://twitter.com)可以说把CSS3运			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2kV4M.html" rel="bookmark">《图解CSS3：核心技术与案例实战》&mdash;&mdash;第2章CSS3选择器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章CSS3选择器W3C在CSS3的工作草案中把选择器独立出来成为一个模块.实际上,选择器是CSS知识中的重要部分之一,也是CSS的根基.利用CSS选择器能不改动HTML结构,通过添加不同的CSS规则得到不同样式的网页.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW22Xeb.html" rel="bookmark">图解css3：核心技术与案例实战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 Web开发技术丛书 图解CSS3:核心技术与案例实战 大 漠 著 图书在版编目(CIP)数据 图解CSS3:核心技术与案例实战/大漠著. -北京:机械工业出版社,2014.7 (Web开发技术丛书) ISBN 978-7-111-46920-9 I. 图- II.大- III. 网页制作工具 IV. TP393.092 中国版本图书馆CIP数据核字(2014)第116144号 图解CSS3:核心技术与案例实战 大 漠 著 出版发行:机械工业出版社(北京市西城区百万庄大街22号 邮政编码:100			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6vPoM.html" rel="bookmark">图解css3：核心技术与案例实战&period; 导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				图解CSS3:核心技术与案例实战 大 漠 著 为什么要写这本书     CSS3是在CSS2.1基础上扩展而来,事实上,它还没有完全成熟.有些专家会告诉你,CSS3现在还用不上,甚至几年之后都不会有成熟的规范发布.     目前为止CSS3还没有一套成熟的规范,其中的模块也在不断更新,特别是浏览器对CSS3特性的支持也在不断变化,同时没有足够的时间去学习和研究W3C官方文档和规范,致使我们学习CSS3变得更为复杂.     为什么会选择这个时候编写这样一本图书呢?原因很简单.对于希望Web应用开			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b22ZPVb.html" rel="bookmark">图解css3：核心技术与案例实战&period; 2&period;11　属性选择器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.11 属性选择器 在HTML中,通过各种各样的属性可以给元素增加很多附加的信息.例如,通过id属性可以将不同DIV元素进行区分.CSS2中引入了一些属性选择器,这些选择器可基于元素的属性来匹配元素,而CSS3在CSS2的基础上扩展了这些属性选择器,支持基于模式匹配来定位元素. 2.11.1 属性选择器语法 CSS3在CSS2的基础上新增了3个属性选择器,可以帮助大家对标签进行过滤,也能非常容易帮助大家在众多标签中定位自己需要的HTML标签,下面通过表2-18详细介绍CSS3的属性选择器的使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWkAJz.html" rel="bookmark">图解css3：核心技术与案例实战&period; 1&period;4　CSS3的现状及未来</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 CSS3的现状及未来 了解到使用CSS3会带来很多好处,哪些网站在使用CSS3?这很容易,打开计算机随处可见.既然这样,就一起来看几个网站吧. 1.4.1 谁在使用CSS3 首先看看新浪微博,其中最明显的是圆角的应用,在发表评论的地方还使用了内阴影属性,如图1-8所示. Google的UI也使用了大量CSS3特性,看主版面的Button效果,这个按钮使用了CSS3的阴影.圆角和渐变三种属性,如图1-9所示. 接下来介绍的Twitter网站(http://twitter.com)可以说把C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0kyVp.html" rel="bookmark">图解css7：核心技术与案例实战&period; 1&period;4　CSS3的现状及未来</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 CSS3的现状及未来 了解到使用CSS3会带来很多好处,哪些网站在使用CSS3?这很容易,打开计算机随处可见.既然这样,就一起来看几个网站吧. 1.4.1 谁在使用CSS3 首先看看新浪微博,其中最明显的是圆角的应用,在发表评论的地方还使用了内阴影属性,如图1-8所示. Google的UI也使用了大量CSS3特性,看主版面的Button效果,这个按钮使用了CSS3的阴影.圆角和渐变三种属性,如图1-9所示. 接下来介绍的Twitter网站(http://twitter.com)可以说把C			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdEkg3z.html" rel="bookmark">图解css4：核心技术与案例实战&period; 1&period;1　什么是CSS3</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1 什么是CSS3 CSS3并不是一门新的语言.如果接触过CSS就知道,CSS是创建网页的另一个独立但并非不重要的一部分.CSS是种层叠样式表,是一种样式语言,用来告诉浏览器如何渲染你的Web页面. CSS3是CSS规范的最新版本,在CSS2.1的基础上增加了很多强大的新功能,以帮助开发人员解决一些问题,并且不再需要非语义标签.复杂的JavaScript脚本以及图片,例如圆角功能.多背景.透明度.阴影等功能等.CSS2.1是单一的规范,而CSS3被划分成几个模块组,每个模块组都有自己的规范.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwJxGWp.html" rel="bookmark">《图解CSS3：核心技术与案例实战》&mdash;&mdash;2&period;1节认识CSS选择器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.1 认识CSS选择器 要使某个样式应用于特定的HTML元素,首先需要找到该元素.在CSS中,执行这一任务的表现规则称为CSS选择器.它为获取目标元素之后施加样式提供了极大的灵活性.实际上,CSS2.1已经为大家提供了很多常用的选择器,基本能够满足Web设计师常规的设计需求. 2.1.1 CSS3选择器的优势 既然CSS选择器能满足Web常规的设计需求,CSS3选择器有什么优势呢?CSS3选择器不但支持所有CSS选择器,同时新增了独有的选择器,对拥有一定CSS基础的开发人员来说,学习CSS3选			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdnqXb.html" rel="bookmark" class="title">FileReference实现文件下载接口</a>
					<div>
						接口|下载 import flash.net.FileReference;var listener:Object = new Object();var btListener:Object = new  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7yrqM.html" rel="bookmark" class="title">C＃中的域（field）和属性（property）</a>
					<div>
						访问一个类的成员变量可以有两种方式:域.属性.域作为public类型的成员变量访问,而属性不能直接进行访问,必须通过访问器(accessors)进行. 域(field) 域(field) -域表示与对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PjjJM.html" rel="bookmark" class="title">聊聊UI DESIGN到底做什么的</a>
					<div>
						  新人初涉UI领域,除了掌握必要的技能点,想尽快上手,了解整个设计流程也很重要,今天血儿同学聊聊自己接单的7个步骤,以供参考 &gt;&gt;&gt; 血儿:UI到底做什么,要从UI接到的工作流程来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RqB9p.html" rel="bookmark" class="title">Edge浏览器怎么使用插件</a>
					<div>
						  谷歌浏览器插件各种强大,然而很多其他浏览器都不能兼容使用,消息称Edge浏览器将全面支持谷歌浏览器插件,下面一起来看看使用方法吧.   在Win10 正式发布之时,Edge浏览器并没有以完整的姿态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3RRZM.html" rel="bookmark" class="title">EXCEL如何清除单元格内容和格式</a>
					<div>
						我们在使用表格时,可能对某个单元格设置了多种格式,但如果你不再需要这些格式时如何快速删除呢?今天小编为大家介绍一下excel2010如何快速删除单元格的内容和格式. 首先选中要删除内容格式的单元格,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7oXVb.html" rel="bookmark" class="title">电脑劣质电源和电源损坏导致的电脑故障</a>
					<div>
						  1.硬盘出现坏磁道.不好的电源易导致硬盘出现假坏道,这种故障一般可通过软件修复.碰到此类情况,首先要检查电源.如果确认是电源的问题,应当更换质量可靠.稳定的新电源. 2.光驱读刻盘性能不好.这种情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg36gOM.html" rel="bookmark" class="title">suse-SUSE安装oracle，orarun如何配置内核</a>
					<div>
						问题描述 SUSE安装oracle,orarun如何配置内核 一般Linux下内核参数文件是 /etc/sysctl.conf 文件,不过观察SUSE的这个文件只有几条关于IP设置的条目,像共享内存大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7kAwM.html" rel="bookmark" class="title">win8-sql server2008 账户名与安全标识间无任何映射完成</a>
					<div>
						问题描述 sql server2008 账户名与安全标识间无任何映射完成 小弟的电脑系统是win8,系统非要提示让更新为8.1,更新后发现sql server 2008服务不见了, 最终没办法只好重装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE699qM.html" rel="bookmark" class="title">VMware 虚拟机的虚拟磁盘编程知识点扫盲之二</a>
					<div>
						目录 目录 前文列表 VDDK 安装 VDDK VixDiskLib VADP 前文列表 VMware 虚拟机的虚拟磁盘编程知识点扫盲之一 VDDK 摘自官方文档:The Virtual Disk D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YD65M.html" rel="bookmark" class="title">MFC 基础知识：对话框背景添加图片和按钮Button添加图片</a>
					<div>
						        很长时间没有接触MFC相关的知识了,我大概是在大二时候学习的MFC相关知识及图像处理,现在由于要帮个朋友完成个基于C++的程序,所以又回顾了下相关知识.的确,任何知识一段时间过后都比较 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmmWrb.html" rel="bookmark" class="title">由于不台明白JS代码，下面的这段保存提交的逻辑能不能讲解下，还有下面的问题，谢谢！</a>
					<div>
						问题描述 由于不台明白JS代码,下面的这段保存提交的逻辑能不能讲解下,还有下面的问题,谢谢! ajax({ type: 'POST', url: 'ajaxhelper.aspx?action=sav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd0lZb.html" rel="bookmark" class="title">powerdesigner-PowerDesigner12&period;5为什么不能创建数据源？</a>
					<div>
						问题描述 PowerDesigner12.5为什么不能创建数据源? PowerDesigner建好物理模型以后不是要连接数据库吗&lt;然后连接数据库的信息写好以后,在测试连接的时候就就会报错!!!C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY4Ryp.html" rel="bookmark" class="title">深圳景田公司承认：广深市场桶装水确是代工</a>
					<div>
						■蓝色标签(左)的制造商罗浮山仙泉矿泉水厂对应的QS号与紫色标签(右)的不同,紫色标签的制造商罗浮山仙泉矿泉水厂对应的QS号则不存在. 资料图片. 深圳景田公司承认,广深市场桶装水确是代工但为何宣传水 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40PYjz.html" rel="bookmark" class="title">WIS微博营销派：卖化妆品也能过亿</a>
					<div>
						导语:WIS在微博上营销的成功,可以理解为互联网思维下粉丝经济模式的成功又一个典型案例,具备普遍意义的是,WIS在微博上的粉丝经济营销对中小品牌更具参考价值. 如果你常刷微博,那么你应该会留意到微博信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8APm9z.html" rel="bookmark" class="title">数据段、代码段、堆栈段、BSS段的区别</a>
					<div>
						最近在复习一些以前的知识点,整理了一些相关的基本概念,以下的概念网上有博客已经提出了,在此我将这些知识点进行总结: 5个数据段        进程(执行的程序)会占用一定数量的内存,它或是用来存放从磁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/z7Z3mRp.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny8zNjc0NzEvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/z7Z3mRp.html" rel="bookmark" class="title">周末分享：如何在一周内摸清一个行业</a>
					<div>
						 在和咨询.投行.投资.猎头这些行业的人聊天的时候,我反复听到&quot;一周&quot;这个时间,于是我也开始好奇:你们是在什么情况下需要在一个星期之内了解一个行业?你们都是如何做到在一个星期之内摸 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDmoxz.html" rel="bookmark" class="title">tomcat-Tomcat 8&period;0怎么配置，让它自动重载servlet</a>
					<div>
						问题描述 Tomcat 8.0怎么配置,让它自动重载servlet 每次修改Servlet,都要重启服务器,着实麻烦, &lt;Context docBase=&quot;E:JavaSourceat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/p5RW2Dz.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAzMjAxMjE5MTM3ODE/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YW1saGJtdDFibXRwYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/p5RW2Dz.html" rel="bookmark" class="title">SQL Server DATEADD&lpar;&rpar; 函数</a>
					<div>
						本文转载自:点击打开链接 SQL Server DATEADD() 函数 DATEADD(datepart,number,date) date 参数是合法的日期表达式.number 是您希望添加的间隔 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq49yb.html" rel="bookmark" class="title">系统activity跳转-app中跳往系统activity</a>
					<div>
						问题描述 app中跳往系统activity 我知道了系统activity的名字,com.huawei.notificationmanager.ui.NotificationManagmentActiv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkjyrM.html" rel="bookmark" class="title">ios开发-pickerview数据源问题</a>
					<div>
						问题描述 pickerview数据源问题 如图,当我转动滚轮时,就会跳到如图的地方,请问是什么问题?是内存管理问题么?求抱大神腿开发-pickerview数据源问题-ios开发pickerview&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0D9lp.html" rel="bookmark" class="title">大数据利器：Hadoop的十大应用场景</a>
					<div>
						本文讲的是大数据利器:Hadoop的十大应用场景,谁在用Hadoop?这是个问题.在大数据背景下,Apache Hadoop已经逐渐成为一种标签性,业界对于这一开源分布式技术的了解也在不断加深.但谁才 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodwRXM.html" rel="bookmark" class="title">YouTube平台重要视频制作商Machinima截员10&percnt;</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 [21136.html&quot;&gt;导读]Machinima是YouTube上单页面观看量最大的视频制作提供商之一. 腾讯科技 小贝 9月19日编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKR5mz.html" rel="bookmark" class="title">Mnet亚洲音乐盛典澳门绽放顶级韩流登沪&lpar;图&rpar;</a>
					<div>
						Wonder Girls演唱Nobody Rain从天而降 李孝利与Big Bang同台演出 权相佑任颁奖嘉宾 新浪娱乐讯 被誉为韩国最权威的音乐大奖的Mnet亚洲音乐大奖颁奖盛典将于11月28日在澳 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvEl4M.html" rel="bookmark" class="title">揭穿视频古先生的画皮之术</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 &quot;丑人多作怪&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOdo4b.html" rel="bookmark" class="title">Android ListView详解&lowbar;Android</a>
					<div>
						ListView 控件可使用四种不同视图显示项目.通过此控件,可将项目组成带有或不带有列标头的列,并显示伴随的图标和文本. 可使用 ListView 控件将称作 ListItem 对象的列表条目组织成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZyENz.html" rel="bookmark" class="title">SUSE Linux下源码编译方式安装MySQL 5&period;6过程分享&lowbar;Mysql</a>
					<div>
						MySQL为开源数据库,因此可以基于源码实现安装.基于源码安装有更多的灵活性.也就是说我们可以针对自己的硬件平台选用合适的编译器来优化编译后的二进制代码,根据不同的软件平台环境调整相关的编译参数,选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7POYb.html" rel="bookmark" class="title">一些简单的ASP练习&lowbar;ASP基础</a>
					<div>
						1,练习使用request对象接受数据,并且综合运用些函数. cnbruce.html &lt;form action=&quot;cnbruce.asp&quot; method=&quot;pos ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1ZeOb.html" rel="bookmark" class="title">求教？</a>
					<div>
						问题描述 importjavax.microedition.lcdui.Display;importjavax.microedition.lcdui.TextBox;importjavax.micro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlRx1p.html" rel="bookmark" class="title">关于在内容页中使用kindeditor</a>
					<div>
						问题描述 &lt;asp:ContentID=&quot;Content1&quot;ContentPlaceHolderID=&quot;head&quot;Runat=&quot;Server&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2vy0z.html" rel="bookmark" class="title">立佰趣：指纹上的金融玩家</a>
					<div>
						曾航 上海报道 那幢并不起眼的小楼已经略显拥挤,工作人员们正在物色新的地址,好给大量新招来的员工安排位置. 陈晓峰独自坐在那间装修精致的办公室里,电话响个不停,他看上去很忙.做天使投资出身的他领导着这 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
